import React from "react";
import classnames from "classnames";
import useHeight from "./use-height";
function usePlaceholder(contentRef, bem) {
  const height = useHeight(contentRef);
  return (renderContent) => /* @__PURE__ */ React.createElement("div", {
    className: classnames(bem("placeholder")),
    style: {
      height: height ? `${height}px` : void 0
    }
  }, renderContent());
}
export {
  usePlaceholder
};
